package com.rdiot.yx485.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class HomeBase implements Parcelable {
    private String id;
    private String name;

    public HomeBase() {
    }

    public HomeBase(String id, String name) {
        this.id = id;
        this.name = name;
    }

    protected HomeBase(Parcel in) {
        id = in.readString();
        name = in.readString();
    }

    public static final Creator<HomeBase> CREATOR = new Creator<HomeBase>() {
        @Override
        public HomeBase createFromParcel(Parcel in) {
            return new HomeBase(in);
        }

        @Override
        public HomeBase[] newArray(int size) {
            return new HomeBase[size];
        }
    };

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(id);
        dest.writeString(name);
    }
} 